Subject: collect2: problem with "undefined reference" while linking]
From: Helmut Dipper <[email-masked]>
To: [email-masked]
Date: Fri, 09 Aug 2002 10:27:42 +0200

Hello, 

when compiling and linking a program consisting of
pure C-sources I get a "undefined reference" out of
libcygwin.a during linking, see protocol attached.

I have no idea how to resolve the "undefined reference".

Thanks for Your help.

Best regards
Helmut Dipper

*********************************************************
* Helmut Dipper                  | SICAD Utilities GmbH *
*  phone: +49 89 636 41558       |                      *
*    fax: +49 89 636 49613       | Otto-Hahn-Ring 6     *
* e-mail: [email-masked] | D-81730 Muenchen     *
*********************************************************

--------------------------------------------------------------------------------
> Making include...
> make[1]: Entering directory `/j/dip/NT/elk-3.0/include'
> make -f Makefile.local
> make[2]: Entering directory `/j/dip/NT/elk-3.0/include'
> make[2]: `config.h' is up to date.
> make[2]: Leaving directory `/j/dip/NT/elk-3.0/include'
> make[1]: Leaving directory `/j/dip/NT/elk-3.0/include'
> Making scripts...
> make[1]: Entering directory `/j/dip/NT/elk-3.0/scripts'
> make -f Makefile.local
> make[2]: Entering directory `/j/dip/NT/elk-3.0/scripts'
> make[2]: Nothing to be done for `all'.
> make[2]: Leaving directory `/j/dip/NT/elk-3.0/scripts'
> make[1]: Leaving directory `/j/dip/NT/elk-3.0/scripts'
> Making src...
> make[1]: Entering directory `/j/dip/NT/elk-3.0/src'
> make -f Makefile.local
> make[2]: Entering directory `/j/dip/NT/elk-3.0/src'
> gcc -O2 -I../include -c autoload.c
> gcc -O2 -I../include -c bignum.c
> gcc -O2 -I../include -c bool.c
> gcc -O2 -I../include -c char.c
> gcc -O2 -I../include -c cont.c
> gcc -O2 -I../include -c cstring.c
> gcc -O2 -I../include -c debug.c
> gcc -O2 -I../include -c dump.c
> gcc -O2 -I../include -c env.c
> gcc -O2 -I../include -c error.c
> gcc -O2 -I../include -c exception.c
> gcc -O2 -I../include -c feature.c
> gcc -O2 -I../include -c heap.c
> gcc -O2 -I../include -c io.c
> gcc -O2 -I../include -c list.c
> gcc -O2 -I../include -c load.c
> gcc -O2 -I../include -c malloc.c
> gcc -O2 -I../include -c math.c
> gcc -O2 -I../include -c onfork.c
> gcc -O2 -I../include -c prim.c
> gcc -O2 -I../include -c print.c
> gcc -O2 -I../include -c proc.c
> gcc -O2 -I../include -c promise.c
> gcc -O2 -I../include -c read.c
> gcc -O2 -I../include -c special.c
> gcc -O2 -I../include -c stkmem.c
> gcc -O2 -I../include -c string.c
> gcc -O2 -I../include -c symbol.c
> gcc -O2 -I../include -c terminate.c
> gcc -O2 -I../include -c type.c
> gcc -O2 -I../include -c vector.c
> gcc -O2 -I../include -c main.c
> gcc -O2 -I../include -c stab.c
> gcc -o scheme -O2 autoload.o bignum.o bool.o char.o cont.o cstring.o debug.o dump.o env.o error.o exception.o feature.o heap.o io.o list.o load.o malloc.o math.o onfork.o prim.o print.o proc.o promise.o read.o special.o stkmem.o string.o symbol.o terminate.o type.o vector.o main.o stab.o -v -LC:/WIN_NT/system32
> Reading specs from /usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-5/specs
> gcc version 2.95.3-5 (cygwin special)
>  /usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-5/collect2.exe -Bdynamic --dll-search-prefix=cyg -o scheme.exe /usr/lib/crt0.o -LC:/WIN_NT/system32 -L/usr/lib -L/usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-5 autoload.o bignum.o bool.o char.o cont.o cstring.o debug.o dump.o env.o error.o exception.o feature.o heap.o io.o list.o load.o malloc.o math.o onfork.o prim.o print.o proc.o promise.o read.o special.o stkmem.o string.o symbol.o terminate.o type.o vector.o main.o stab.o -lgcc -lcygwin -luser32 -lkernel32 -ladvapi32 -lshell32 -lgcc
> /usr/lib/libcygwin.a(_cygwin_crt0_common.o)(.text+0xe6):_cygwin_crt0_common.cc: undefined reference to `GetModuleHandleA@4'
> collect2: ld returned 1 exit status
> make[2]: *** [scheme] Error 1
> make[2]: Leaving directory `/j/dip/NT/elk-3.0/src'
> make[1]: *** [default] Error 2
> make[1]: Leaving directory `/j/dip/NT/elk-3.0/src'
> make: *** [default] Error2

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/